Update an existing named credential
put
https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/namedCredentials/{namedCredentialId}
Modifies an existing Named Credential details like Name, Description, Owner, Target Type, Target Name, etc.
Request
Path Parameters
-
namedCredentialId(required): string
Id of a named credential
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
array-
Array of:
object ReplaceNamedCredentialDetailsSummary
schema object to hold Named Credential update data
Nested Schema : ReplaceNamedCredentialDetailsSummary
Type:
objectschema object to hold Named Credential update data
Show Source
-
attributes: object
attributes
Additional Properties Allowed: additionalPropertiesRepresents a map of name-value for the attributes for the named credential
-
authenticationTestTargetName: string
Test target nameExample:
server1.example.com -
authenticationTestTargetTypeName: string
Name of the test target typeExample:
host -
credMapping: string
Name of the mapping configured for the credential provider to the credential type attributesExample:
ScripttoHostCreds -
credProvider: string
Credential provider name configured in EMExample:
Script -
credProviderKey: string
encodes one or more parts of the name that is used by the PAM solution to retrieve the credential contents from itExample:
EMHost/username -
description: string
Description for a named credentialExample:
Named credential for SYSMAN user hosts -
isAltCredStorage: boolean
Indicates that an external credential storage (PAM) will be used to get the passwords or sensitive dataExample:
true -
isAuthenticationTestRequired: boolean
Perform an authentication test if this value is trueExample:
true -
localInputFiles: object
localInputFiles
Additional Properties Allowed: additionalPropertiesRepresents a map of name-value for an attribute value (from attributes property) being replaced by the content of a local file.
-
name(required): string
Name for a named credentialExample:
NAMEDCRED1 -
owner: string
User owner of the named credentialExample:
SYSMAN -
removeAttributes: boolean
Unsets all existing credential column values.Example:
true -
scope: string
Named credential scopeExample:
INSTANCE -
targetName: string
Target instance name for which named credential is authenticated toExample:
host.us.oracle.com -
targetTypeName: string
Name of the target typeExample:
host -
targetUsername: string
Username of the targetExample:
root -
type: string
Named Credential typeExample:
HostCreds
Nested Schema : attributes
Type:
objectAdditional Properties Allowed
Show Source
Represents a map of name-value for the attributes for the named credential
Nested Schema : localInputFiles
Type:
objectAdditional Properties Allowed
Show Source
Represents a map of name-value for an attribute value (from attributes property) being replaced by the content of a local file.
Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Named credentials modified successfully
Root Schema : NamedCredential
Type:
objectSchema object to hold Named Credential data to return on post operation
Show Source
-
attributes: object
attributes
Additional Properties Allowed: additionalPropertiesRepresents a map of name-value for the attributes for the named credential
-
credMapping: object
credMapping
Additional Properties Allowed: additionalPropertiesMapping of credential provider to the attributes required by the credential type
-
credProvider: string
Credential provider name configured in EMExample:
Script -
credProviderKey: string
encodes one or more parts of the name that is used by the PAM solution to retrieve the credential contents from itExample:
EMHost/username -
id: string
Read Only:
trueUnique identifier for a named credentialExample:B0FBBE587FD201E2E0537013790A7D03 -
links: object
links
the named credential related link
-
updatedBy: string
Read Only:
trueUsername who updated the named credentialExample:SYSMAN -
updatedDate: string
Read Only:
truetimestamp of the named credential update dateExample:09/02/22 23:29:23.000000000
Match All
Schema object to hold Named Credential data to return on post operation
Show Source
-
object
NamedCredentialCommon
Common properties for a Named Credential
Nested Schema : attributes
Type:
objectAdditional Properties Allowed
Show Source
Represents a map of name-value for the attributes for the named credential
Nested Schema : credMapping
Type:
objectAdditional Properties Allowed
Show Source
Mapping of credential provider to the attributes required by the credential type
Nested Schema : NamedCredentialCommon
Type:
objectCommon properties for a Named Credential
Show Source
-
authenticatingTargetTypeName(required): string
Name of the Authenticating target type of the named credentialExample:
host -
description: string
Description for a named credentialExample:
Named credential for SYSMAN user hosts -
name(required): string
Name for a named credentialExample:
NAMEDCRED1 -
owner: string
User owner of the named credentialExample:
SYSMAN -
scope(required): string
Named credential scopeExample:
INSTANCE -
targetName: string
Target instance name for which named credential is authenticated toExample:
host.us.oracle.com -
targetTypeName: string
Name of the target typeExample:
host -
targetUsername: string
Username of the targetExample:
root -
type(required): string
Named Credential typeExample:
HostCreds
Examples
400 Response
Bad Request
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
401 Response
Unauthorized
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
403 Response
Forbidden
Root Schema : MissingPrivErrorResponse
Type:
objectResponse sent back as an Error in case required privileges are missing
Show Source
-
missingPrivileges: array
missingPrivileges
Privileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Match All
Response sent back as an Error in case required privileges are missing
Show Source
-
object
ErrorResponse
Response sent back in the case of an Error
Nested Schema : missingPrivileges
Type:
arrayPrivileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Show Source
-
Array of:
object MissingPrivilegeSummary
It represents a Privilege which is missing on a Resource to view or manage it.
Nested Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
Nested Schema : MissingPrivilegeSummary
Type:
objectIt represents a Privilege which is missing on a Resource to view or manage it.
Show Source
-
displayName: string
Display Name of PrivilegeExample:
Manage -
name: string
Name of PrivilegeExample:
MANAGE_JOB
404 Response
Not Found
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
500 Response
Internal Server Error
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
503 Response
Service Unavailable
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message